Bug 174967 - Missing break statement in 8250 serial driver code (timedia cards)
Summary: Missing break statement in 8250 serial driver code (timedia cards)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-05 08:17 UTC by JW
Modified: 2015-01-04 22:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 01:42:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix missing break statement (461 bytes, patch)
2005-12-05 08:19 UTC, JW
no flags Details | Diff

Description JW 2005-12-05 08:17:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
While reading through the kernel code I found a missing break statement (or two) for timedia serial cards.



Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1.vi drivers/serial/8250_pci.c
2.545G
3.
  

Actual Results:  Observed missing break statement in switch.


Expected Results:  case 3 should not fall through to cases 4,5,6,7.
Also, cases 4,5,6,7 should end with a break statement.


Additional info:

Comment 1 JW 2005-12-05 08:19:36 UTC
Created attachment 121834 [details]
Patch to fix missing break statement

Comment 2 Dave Jones 2005-12-07 01:02:32 UTC
Good catch. I've applied this, and have sent it upstream to the serial maintainer.



Note You need to log in before you can comment on or make changes to this bug.